clang-tools 10.0.0

Namespaces | Functions
Serialization.cpp File Reference
`#include "Serialization.h"`
`#include "Headers.h"`
`#include "Logger.h"`
`#include "RIFF.h"`
`#include "SymbolLocation.h"`
`#include "SymbolOrigin.h"`
`#include "Trace.h"`
`#include "dex/Dex.h"`
`#include "clang/Tooling/CompilationDatabase.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/Compression.h"`
`#include "llvm/Support/Endian.h"`
`#include "llvm/Support/Error.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include <vector>`
Include dependency graph for Serialization.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
void | clang::clangd::writeYAML (const IndexFileOut &, llvm::raw_ostream &)
llvm::Expected< IndexFileIn > | clang::clangd::readYAML (llvm::StringRef)
llvm::raw_ostream & | clang::clangd::operator<< (llvm::raw_ostream &OS, const IndexFileOut &O)
llvm::Expected< IndexFileIn > | clang::clangd::readIndexFile (llvm::StringRef Data)
std::unique_ptr< SymbolIndex > | clang::clangd::loadIndex (llvm::StringRef SymbolFilename, bool UseDex)

## Variable Documentation

## ◆ Arena

llvm::BumpPtrAllocator Arena

Definition at line 194 of file Serialization.cpp.

Referenced by clang::clangd::RefSlab::bytes(), clang::clangd::SymbolSlab::bytes(), and clang::clangd::SymbolSlab::Builder::find().

## ◆ CommandLine

std::vector<llvm::StringRef> CommandLine

Definition at line 388 of file Serialization.cpp.

Referenced by clang::clangd::MockCompilationDatabase::getCompileCommand().

## ◆ Directory

llvm::StringRef Directory

Definition at line 387 of file Serialization.cpp.

Referenced by Modularize::CoverageChecker::collectFileSystemHeaders(), Modularize::CoverageChecker::collectUmbrellaHeaders(), Modularize::ModularizeUtilities::collectUmbrellaHeaders(), and Modularize::ModularizeUtilities::getDirectoryFromPath().

## ◆ Strings

std::vector<llvm::StringRef> Strings

Definition at line 195 of file Serialization.cpp.

Referenced by clang::clangd::SymbolSlab::Builder::build(), Modularize::ModularizeUtilities::loadProblemHeaderList(), and Modularize::ModularizeUtilities::loadSingleHeaderListsAndDependencies().